Doomsday Engine - Bug #2109
Feature # 1648 (Progressed): Complete vanilla DOOM emulation
Feature # 1603 (Progressed): Support for id Tech 1 map hacks
[Doom] "Doomsday of UAC" invisible stairs not climable
2015-08-08 22:46 - vermil

Status: New Start date: 2015-08-08
Priority: High % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

Doomsday of UAC is one of the most famous early Doom pwads, partly because it features the earliest known example of the self
referencing sector hack, used to create both invisible stairs and a floating Cyber Demon.

However, Doomsday has never supported the self referencing hack in the way it is used to create the main body of the mentioned
stairs. Thus this famous pwad has never been playable through in Dday (and | don't just mean visually, | mean actually playing it
through).

http://doomwiki.org/wiki/Doomsday_of UAC
http://www.doomworld.com/idgames/?file=levels/doom/s-u/uac_dead.zip

Related issues:

Related to Bug #2258: [Doom] Falling through 3D bridges New 2017-07-20
Related to Bug #587: [Render hack] Plutonia 2 map11: 3D bridge does not const... Closed 2009-01-08
History

#1 - 2015-08-08 22:54 - vermil

To make clear, I'm not raising this issue because Dday has never visually rendered the stairs correctly; the issue is that Dday has never created the
physical stairs correctly.

#2 - 2017-04-03 13:35 - skyjake

- Subject changed from [Doom] Doomsdy of UAC' invisible stairs not climable to [Doom] "Doomsday of UAC" invisible stairs not climable

#3 - 2017-04-03 13:35 - skyjake
- Tags set to MapData, Gameplay, Doom

- Target version set to Modding

#4 - 2017-04-03 18:33 - skyjake

- Target version changed from Modding to Vanilla / Gameplay

#5 - 2019-11-29 23:22 - skyjake
- Parent task set to #1603

#6 - 2019-12-31 08:30 - skyjake
- Related to Bug #2258: [Doom] Falling through 3D bridges added

#7 - 2019-12-31 11:20 - skyjake
- Related to Bug #587: [Render hack] Plutonia 2 map11: 3D bridge does not construct added
